import { useServiceProvider } from "./useServiceProvider.js";
import { ServiceProvider } from "@wroud/di/di/ServiceProvider.js";
export function useServiceIterator(type) {
    const provider = useServiceProvider();
    let result;
    const iterator = ServiceProvider.internalGetService(provider, type, new Set(), "async");
    while (!(result = iterator.next()).done) {
        throw result.value;
    }
    return result.value;
}
//# sourceMappingURL=useServiceIterator.js.map